List attachments for an SDS
Returns all supplementary documents attached to an SDS, such as safety cards, assessment forms, or additional documentation.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use your API key as the token. Obtain from your NextSDS team settings.
In: header
Path Parameters
sdsId*string
SDS document UUID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://api.nextsds.com/v1/sds/497f6eca-6276-4993-bfeb-53cbbbba6f08/attachments"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "safety_card",
"label": "string",
"description": "string",
"file_name": "string",
"file_size": 0,
"mime_type": "string",
"download_url": "http://example.com",
"created_at": "2019-08-24T14:15:22Z"
}
]
}{
"type": "https://api.nextsds.com/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing X-API-Key header"
}{
"type": "https://api.nextsds.com/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "The requested resource was not found"
}